--- old/usr/src/lib/libbe/common/libbe.h	Tue Aug  6 21:14:56 2013
+++ new/usr/src/lib/libbe/common/libbe.h	Tue Aug  6 21:14:55 2013
@@ -23,6 +23,10 @@
  * Copyright (c) 2008, 2010, Oracle and/or its affiliates. All rights reserved.
  */
 
+/*
+ * Copyright 2013 Nexenta Systems, Inc. All rights reserved.
+ */
+
 #ifndef _LIBBE_H
 #define	_LIBBE_H
 
@@ -58,6 +62,7 @@
 
 #define	BE_ATTR_ACTIVE		"active"
 #define	BE_ATTR_ACTIVE_ON_BOOT	"active_boot"
+#define	BE_ATTR_GLOBAL_ACTIVE	"global_active"
 #define	BE_ATTR_SPACE		"space_used"
 #define	BE_ATTR_DATASET		"dataset"
 #define	BE_ATTR_STATUS		"status"
@@ -166,6 +171,8 @@
 	boolean_t be_mounted;		/* is BE currently mounted */
 	boolean_t be_active_on_boot;	/* is this BE active on boot */
 	boolean_t be_active;		/* is this BE active currently */
+	boolean_t be_global_active;	/* is zone's BE associated with */
+					/* an active global BE */
 	uint64_t be_space_used;
 	char *be_node_name;
 	char *be_rpool;
